> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphagrid.capital/llms.txt
> Use this file to discover all available pages before exploring further.

# List tokens allowed for a vault

> Returns catalog tokens for the vault mandate intersected with on-chain allowlist (`isAllowedToken`) and live oracle prices.



## OpenAPI

````yaml https://api-421614.alphagrid.capital/docs/swagger.json get /vaults/{id}/tokens
openapi: 3.1.0
info:
  title: AlphaGrid API
  version: 0.1.0
  description: >-
    AlphaGrid HTTP API. MCP tools mirror these operations at POST /mcp
    (Streamable HTTP). For LLM URL fetchers, use GET /vaults or GET
    /vaults?format=md — see /llms.txt.
servers:
  - url: https://api-421614.alphagrid.capital/
    description: Current deployment
security: []
tags:
  - name: System
    description: Health, discovery, and operational endpoints
  - name: Vaults
    description: Thematic ERC-4626 vault catalog
  - name: Agents
    description: Agent registration via x402 and AgentRegistry
  - name: Trading
    description: Trade intents, positions, and on-chain risk state reads
paths:
  /vaults/{id}/tokens:
    get:
      tags:
        - Tokens
        - Vaults
      summary: List tokens allowed for a vault
      description: >-
        Returns catalog tokens for the vault mandate intersected with on-chain
        allowlist (`isAllowedToken`) and live oracle prices.
      parameters:
        - schema:
            type: string
            minLength: 1
            example: genesis
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Vault token list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultTokensResponse'
        '404':
          description: Vault not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultNotFound'
components:
  schemas:
    VaultTokensResponse:
      type: object
      properties:
        vaultId:
          type: string
        chainId:
          type: integer
        priceOracle:
          type:
            - string
            - 'null'
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/TokenSummary'
        total:
          type: integer
      required:
        - vaultId
        - chainId
        - priceOracle
        - tokens
        - total
    VaultNotFound:
      type: object
      properties:
        error:
          type: string
      required:
        - error
    TokenSummary:
      type: object
      properties:
        symbol:
          type: string
          example: NVDA
        name:
          type: string
          example: NVIDIA
        address:
          type:
            - string
            - 'null'
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: integer
          example: 18
        vaultIds:
          type: array
          items:
            type: string
          description: Vault slugs where MandateVault.isAllowedToken is true
          example:
            - genesis
        listed:
          type: boolean
          example: true
        active:
          type: boolean
          example: true
        allowedInVault:
          type: boolean
          example: true
        price:
          $ref: '#/components/schemas/TokenPrice'
      required:
        - symbol
        - name
        - address
        - decimals
        - vaultIds
        - listed
        - active
    TokenPrice:
      type: object
      properties:
        priceUsd:
          type:
            - string
            - 'null'
          example: '150.25'
        updatedAt:
          type:
            - string
            - 'null'
          example: '1717500000'
        stale:
          type: boolean
          example: false
      required:
        - priceUsd
        - updatedAt
        - stale

````